﻿window { margin: 0px; padding: 0px; height: 100%; width: 100%; }
body {
	margin: 0px;
	padding: 0px;
	font-family: arial;
	background-color: white;
	height: 100%;
	width: 100%;
	overscroll-behavior-y: contain;
}
p { margin-top: 0px; }
img { width: 100%; }

#div-header { margin: 0px; padding: 10px; font-size: 2em; background-color: #337AB7; color: white; cursor: pointer; }
#table-record-stat { border-collapse: collapse; border: solid black 1px; }
#table-record-stat th { border: solid black 1px; text-align: right; padding-left: 0.5em; padding-right: 0.5em; }
#table-record-stat td { border: dotted black 1px; text-align: right; padding-left: 0.5em; padding-right: 0.5em; }

#div-space { margin: 0px; padding: 10px; height: 1000px; }
.div-odd { margin: 0px; padding: 10px; background-color: white; overflow: auto; cursor: pointer; }
.div-even { margin: 0px; padding: 10px; background-color: #EEEEEE; overflow: auto; cursor: pointer; }
.div-title { font-size: 2em; color: #337AB7; }
.menu-text { float: right; }
.menu-image { float: left; width: 25%; margin-right: 10px; margin-bottom: 10px; min-width: 200px; max-width: 500px; }

.div-fact { font-weight: bold; }

.div-names-odd { margin: 0px; padding: 10px; background-color: white; overflow: auto; }
.div-names-even { margin: 0px; padding: 10px; background-color: #EEEEEE; overflow: auto; }
.button-names-update,
.button-names-delete { margin: 0px; padding: 10px; cursor: pointer;}

#div-trip-gps { min-height: 30px; }
#span-lastgps2 { font-size: 2em; color: red; }

#div-trip-newobs-aves { display: none; }
#div-trip-newobs-mammalia { display: none; }
#div-trip-newobs-plantae { display: none; }
#div-trip-newobs-papilio { display: none; }
#div-trip-newobs-odonata { display: none; }
#div-trip-newobs-custom { display: none; }

#div-activate { background-color: white; }
#div-home { display: none; background-color: white; }

#div-send { padding: 0px 0px 0px 0px; display: none; background-color: none; }
#div-help { padding: 0px 0px 0px 0px; display: none; background-color: none; }
#div-help-content { margin: 10px 10px 0px 10px; }
#div-status-content { margin: 10px 10px 0px 10px; font-size: 2em; }

#div-taxon { padding: 10px 10px 0px 10px; display: none; }
#input-taxon { width: 100%; font-size: 200%; }
#div-taxon-content { margin: 10px 10px 0px 10px; }
#div-search { padding: 10px 10px 10px 10px; font-size: 100%; }
#div-parent { padding: 10px 10px 0px 0px; font-size: 100%; }
#div-target { padding: 10px 10px 0px 0px; font-size: 120%; }
#div-children { padding: 10px 10px 10px 0px; }
.span-taxon { cursor: pointer; color: #337AB7; font-weight: bold; }
.div-record { cursor: pointer; }
.span-record-taxon { color: #337AB7; font-weight: bold; }
.span-record-municipality { font-weight: bold; }
.span-record-locality { font-weight: bold; }
.span-record-date { font-weight: bold; }

#div-menu-record { padding: 10px 10px 0px 10px; display: none; }
#div-record { padding: 10px 10px 0px 10px; display: none; }
#div-record-content { margin: 10px 10px 0px 10px; }
#div-record-search { display: none; }
#div-record-search-list { font-size: 200%; margin: 20px 0px 0px 0px; }
#div-record-search-help { margin: 20px 0px 0px 0px; }
.div-search-list-item { margin: 10px 0px 0px 0px; }
.span-search-list-item { margin: 20px 0px 0px 0px; cursor: pointer; color: #337AB7; }
.span-search-list-item-X { margin: 0px 0px 0px 20px; padding: 0px 10px 5px 10px; background-color: red; color: white; cursor: pointer; border-radius: 20px;  }
#div-record-result { margin: 10px 0px 0px 0px; }
#div-record-viewer { margin: 10px 0px 0px 0px; display: none; }
.input-filter { width: 100%; font-size: 200%; }
#filter-taxon { width: 100%; font-size: 200%; }
#filter-datebegin{ width: 100%; font-size: 200%; }
#filter-dateend { width: 100%; font-size: 200%; }
.record-button { width: 100%; font-size: 200%; }
#div-closelist { margin: 20px 0px 20px 0px;  cursor: pointer; }
#span-closelist { width: 100px; padding: 10px 100px 10px 100px; background-color: red; color: white; }
.td-value { text-align: left; vertical-align: top; }
.td-value-right { text-align: right; vertical-align: top; }

#div-journal { margin: 0px; padding: 0px 0px 0px 0px; display: none;  background-color: white; }
.div-journal-content { margin: 10px 10px 0px 10px; background-color: none; }
.div-content-header { background-color: #337AB7; color: white; padding: 10px; font-size: 1.5em; }
.div-content-body { padding: 0px; }

#div-custom { padding: 10px 10px 10px 10px; font-size: 100%; }
.button-names-update { font-size: 200%; background-color: lightgreen; }
.button-names-delete { font-size: 200%; background-color: lightpink; }

#div-enter { display: none; }
#div-lists { display: none; }
#div-custom { display: none; }
#div-dataset { display: none; }
#div-menu-datastat1 { display: none; }
#div-datastat { display: none; }

#div-trip { margin: 0px; padding: 0px 0px 0px 0px; display: none;  background-color: white; }
#div-title-clearobs { color: red; }
#div-newobs { margin: 0px; padding: 0px 0px 0px 0px; display: none;  background-color: white; width: 100%; }
#div-newobs-names { margin: 0px; padding: 0px 0px 0px 0px; display: none; }
#div-trip-obs1{ font-size: 2em; padding: 10px; }

@div-newobs-show { display: none; font-size: 2em; padding: 10px; }
#div-newobs-show { display: none; background-color: none; }

#div-newobs-content { margin: 0px; padding: 10px; background-color: none; }
#div-trip-obs { background-color: yellow; }
.div-obs-content { font-size: 2em; padding: 0px 10px 0px 10px; background-color: none; }

#div-newobs-taulu1 {
	display: none;
	padding: 0px 0px 0px 0px;
	width: 100%;
	height: 100%;
}
#div-newobs-taulu2 {
	display: none;
	padding: 0px 0px 0px 0px;
	width: 100%;
	height: 100%;
	display: none;
}
#newobs-taulu1 {
	background-color: white;
	border-collapse: collapse;
	border: solid black 1px;
	width: 100%;
	height: 100%;
	font-size: 4em;
}

#newobs-taulu1 th,
#newobs-taulu2 th {
	border: dotted black 1px;
	cursor: pointer;
}
#newobs-taulu2 {
	background-color: white;
	border-collapse: collapse;
	border: solid black 1px;
	width: 100%;
	height: 100%;
	font-size: 4em;
}
#nametable {
	margin: 10px;
	border-collapse: collapse;
	border: none;
}
#nametable td {
//	font-size: 6em;
}
.td_name {
	padding: 0.5em 0em 0.5em 0em;
	font-size: 2em;
	border: none;
	border-bottom: dotted black 1px;
	cursor: pointer;
}
.td_name:hover {
  background-color: lightgray;
}

#div-button {
	margin-top: 20px;
}

.div-button-frame {
	padding: 10px;
}

#input-button-ok,
#edit-button-ok {
	width: 100%;
	padding: 1em 1em 1em 1em;
	font-size: 1em;
	background-color: lightgreen;
	cursor: pointer;	
}

#button-accept {
	width: 100%;
	padding: 1em 1em 1em 1em;
	font-size: 1em;
	background-color: lightgreen;
	cursor: pointer;	
}

#button-reject {
	width: 100%;
	margin-top: 0.5em;
	padding: 1em 1em 1em 1em;
	font-size: 1em;
	background-color: lightpink;
	cursor: pointer;	
}

#button-edit {
	width: 100%;
	padding: 1em 1em 1em 1em;
	font-size: 1em;
	background-color: lightgreen;
	cursor: pointer;	
}

#button-delete-obs {
	width: 100%;
	padding: 1em 1em 1em 1em;
	font-size: 200%;
	background-color: lightgreen;
	cursor: pointer;
}

#button-cancel-delete {
	width: 100%;
	padding: 1em 1em 1em 1em;
	font-size: 200%;
	background-color: lightpink;
	cursor: pointer;	
}

.p-delete {
	font-size: 200%;
}

.div-observation { margin-bottom: 10px; }
.span-taxonname { color: #337AB7; /* font-weight: bold; */ }
.div-datetime { font-size: 0.7em; background-color: none; }
.div-place,
.div-gps { font-size: 0.7em; background-color: none; }

#div-newobs-abundance { display: none; width: 100%; background-color: red; }
#div-editobs-abundance { display: none; }

.table-abundance {
	background-color: white;
	border-collapse: collapse;
	width: 100%;
/*	height: 99.9%; */
	font-size: 2em;
}

#table-abundance-keypad1 {
}

#table-abundance-keypad2 {
}

.td-abundance {
	color: black;
	text-align: center;
	cursor: pointer;
	border: dotted black 1px;
	width: 1%;
/*	padding: 10px 0px 10px 0px; */
}

#input-taxonname,
#edit-taxonname {
	width: 98%;
	height: 100%;
	font-size: 1em;
}

#input-abundance,
#edit-abundance {
	width: 98%;
	height: 100%;
	font-size: 1em;
}

#input-notes,
#edit-notes {
	width: 98%;
	height: 100%;
	font-size: 1em;
}

#td-input-taxonname,
#td-edit-taxonname {
	border: none;
	height: 10px;
}

#td-input-abundance,
#td-edit-abundance {
	border: none;
	height: 10px;
}

#td-input-notes,
#td-edit-notes {
	border: none;
	height: 10px;
}

#td-input-ok,
#td-edit-ok {
	border: none;
	height: 10px;
}

#td-abundance-ok {
	background-color: lightgreen;
}

#div-datastat-content { margin: 10px 10px 0px 10px; }
.select-list { width: 100%; font-size: 200%; }

#table-aggregate { border-collapse: collapse; border: solid black 1px; margin: 10px 0px 10px 0px; }
#table-aggregate td { border: dotted black 1px; padding: 5px 5px 5px 5px; }
.td-right { text-align: right; }

#div-custom-label { font-size: 2em; }
#div-custom-input { padding: 20px; }

#div-form {
	width: 100%;
}
#div-submit {
	width: 90%;
}
#form-submit {
	width: 95%;
}
div-textarea {
	width: 90%;
}
textarea {
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;

	width: 100%;
}
